# Vec3 Class Reference

Vec3 is a 3-element tuple that supports many math operations. More...

List of all members.

## Public Member Functions

def | __new__
| Create a new Vec3.
def | __getnewargs__
def | __add__
| Add two Vec3s.
def | __radd__
| Add two Vec3s.
def | __sub__
| Add two Vec3s.
def | __rsub__
| Add two Vec3s.
def | __mul__
| Multiply a Vec3 by a constant.
def | __rmul__
| Multiply a Vec3 by a constant.
def | __div__
| Divide a Vec3 by a constant.
def | __deepcopy__

## Detailed Description

Vec3 is a 3-element tuple that supports many math operations.

## Member Function Documentation

def __add__ | ( |  | self,
|  |  | other |
| ) |  |  |

Add two Vec3s.

def __deepcopy__ | ( |  | self,
|  |  | memo |
| ) |  |  |

def __div__ | ( |  | self,
|  |  | other |
| ) |  |  |

Divide a Vec3 by a constant.

def __getnewargs__ | ( |  | self | ) |

def __mul__ | ( |  | self,
|  |  | other |
| ) |  |  |

Multiply a Vec3 by a constant.

def __new__ | ( |  | cls,
|  |  | x,
|  |  | y,
|  |  | z |
| ) |  |  |

Create a new Vec3.

def __radd__ | ( |  | self,
|  |  | other |
| ) |  |  |

Add two Vec3s.

def __rmul__ | ( |  | self,
|  |  | other |
| ) |  |  |

Multiply a Vec3 by a constant.

def __rsub__ | ( |  | self,
|  |  | other |
| ) |  |  |

Add two Vec3s.

def __sub__ | ( |  | self,
|  |  | other |
| ) |  |  |

Add two Vec3s.

The documentation for this class was generated from the following file:

- vec3.py